Public Member Functions | Data Fields

# LinkGraphJob::NodeAnnotation Struct Reference

Annotation for a link graph node. More...

## Public Member Functions
void | Init (uint supply)
| Initialize a Linkgraph job node.
## Data Fields
uint | undelivered_supply
| Amount of supply that hasn't been distributed yet.
PathSet | paths
| Paths through this node.
FlowStatMap | flows
| Planned flows to other nodes.

## Detailed Description

Annotation for a link graph node.

Definition at line 46 of file linkgraphjob.h.

## Member Function Documentation

void LinkGraphJob::NodeAnnotation::Init | ( | uint | supply | ) |

Initialize a Linkgraph job node.

The underlying memory is expected to be freshly allocated, without any constructors having been called.

Parameters:

  | supply | Initial undelivered supply.

Definition at line 109 of file linkgraphjob.cpp.

References flows, paths, and undelivered_supply.

The documentation for this struct was generated from the following files:

- src/linkgraph/linkgraphjob.h
- src/linkgraph/linkgraphjob.cpp